import type { _INIntentResolutionResult } from "./INIntentResolutionResult.js";
export declare class _INEnumResolutionResult extends _INIntentResolutionResult {
    static alloc(): _INEnumResolutionResult;
    static new(): _INEnumResolutionResult;
    init(): _INEnumResolutionResult;
    static successWithResolvedValue$(resolvedValue: number): _INEnumResolutionResult;
    static confirmationRequiredWithValueToConfirm$(valueToConfirm: number): _INEnumResolutionResult;
}
